stages:
  - build
  - deploy

build diagrams:
  image: debian:stable
  stage: build
  only:
    refs:
      - master
      - wip
    changes:
    - puml/*
  script:
  - apt-get update && apt-get -y install graphviz openjdk-11-jre-headless wget
  - wget http://sourceforge.net/projects/plantuml/files/plantuml.1.2019.7.jar/download --output-document=plantuml.jar --quiet
  - java -jar plantuml.jar -charset UTF-8 -o diagrams puml/*
  - mkdir public/
  - mv puml/diagrams/ public/
  artifacts:
    paths:
      - public

pages:
  image: alpine:latest
  stage: deploy
  only:
    refs:
      - master
      - wip
    changes:
    - puml/*
  script:
    - ls -hal public/diagrams/
  artifacts:
    paths:
      - public
